XCB: XCB DRI2 API

XCB 1.17.0

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB DRI2 API

DRI2 XCB Protocol Implementation. More...

## Data Structures
struct | xcb_dri2_dri2_buffer_t
| xcb_dri2_dri2_buffer_t More...
struct | xcb_dri2_dri2_buffer_iterator_t
| xcb_dri2_dri2_buffer_iterator_t More...
struct | xcb_dri2_attach_format_t
| xcb_dri2_attach_format_t More...
struct | xcb_dri2_attach_format_iterator_t
| xcb_dri2_attach_format_iterator_t More...
struct | xcb_dri2_query_version_cookie_t
| xcb_dri2_query_version_cookie_t More...
struct | xcb_dri2_query_version_request_t
| xcb_dri2_query_version_request_t More...
struct | xcb_dri2_query_version_reply_t
| xcb_dri2_query_version_reply_t More...
struct | xcb_dri2_connect_cookie_t
| xcb_dri2_connect_cookie_t More...
struct | xcb_dri2_connect_request_t
| xcb_dri2_connect_request_t More...
struct | xcb_dri2_connect_reply_t
| xcb_dri2_connect_reply_t More...
struct | xcb_dri2_authenticate_cookie_t
| xcb_dri2_authenticate_cookie_t More...
struct | xcb_dri2_authenticate_request_t
| xcb_dri2_authenticate_request_t More...
struct | xcb_dri2_authenticate_reply_t
| xcb_dri2_authenticate_reply_t More...
struct | xcb_dri2_create_drawable_request_t
| xcb_dri2_create_drawable_request_t More...
struct | xcb_dri2_destroy_drawable_request_t
| xcb_dri2_destroy_drawable_request_t More...
struct | xcb_dri2_get_buffers_cookie_t
| xcb_dri2_get_buffers_cookie_t More...
struct | xcb_dri2_get_buffers_request_t
| xcb_dri2_get_buffers_request_t More...
struct | xcb_dri2_get_buffers_reply_t
| xcb_dri2_get_buffers_reply_t More...
struct | xcb_dri2_copy_region_cookie_t
| xcb_dri2_copy_region_cookie_t More...
struct | xcb_dri2_copy_region_request_t
| xcb_dri2_copy_region_request_t More...
struct | xcb_dri2_copy_region_reply_t
| xcb_dri2_copy_region_reply_t More...
struct | xcb_dri2_get_buffers_with_format_cookie_t
| xcb_dri2_get_buffers_with_format_cookie_t More...
struct | xcb_dri2_get_buffers_with_format_request_t
| xcb_dri2_get_buffers_with_format_request_t More...
struct | xcb_dri2_get_buffers_with_format_reply_t
| xcb_dri2_get_buffers_with_format_reply_t More...
struct | xcb_dri2_swap_buffers_cookie_t
| xcb_dri2_swap_buffers_cookie_t More...
struct | xcb_dri2_swap_buffers_request_t
| xcb_dri2_swap_buffers_request_t More...
struct | xcb_dri2_swap_buffers_reply_t
| xcb_dri2_swap_buffers_reply_t More...
struct | xcb_dri2_get_msc_cookie_t
| xcb_dri2_get_msc_cookie_t More...
struct | xcb_dri2_get_msc_request_t
| xcb_dri2_get_msc_request_t More...
struct | xcb_dri2_get_msc_reply_t
| xcb_dri2_get_msc_reply_t More...
struct | xcb_dri2_wait_msc_cookie_t
| xcb_dri2_wait_msc_cookie_t More...
struct | xcb_dri2_wait_msc_request_t
| xcb_dri2_wait_msc_request_t More...
struct | xcb_dri2_wait_msc_reply_t
| xcb_dri2_wait_msc_reply_t More...
struct | xcb_dri2_wait_sbc_cookie_t
| xcb_dri2_wait_sbc_cookie_t More...
struct | xcb_dri2_wait_sbc_request_t
| xcb_dri2_wait_sbc_request_t More...
struct | xcb_dri2_wait_sbc_reply_t
| xcb_dri2_wait_sbc_reply_t More...
struct | xcb_dri2_swap_interval_request_t
| xcb_dri2_swap_interval_request_t More...
struct | xcb_dri2_get_param_cookie_t
| xcb_dri2_get_param_cookie_t More...
struct | xcb_dri2_get_param_request_t
| xcb_dri2_get_param_request_t More...
struct | xcb_dri2_get_param_reply_t
| xcb_dri2_get_param_reply_t More...
struct | xcb_dri2_buffer_swap_complete_event_t
| xcb_dri2_buffer_swap_complete_event_t More...
struct | xcb_dri2_invalidate_buffers_event_t
| xcb_dri2_invalidate_buffers_event_t More...

## Macros
#define | XCB_DRI2_MAJOR_VERSION 1
#define | XCB_DRI2_MINOR_VERSION 4
#define | XCB_DRI2_QUERY_VERSION 0
#define | XCB_DRI2_CONNECT 1
#define | XCB_DRI2_AUTHENTICATE 2
#define | XCB_DRI2_CREATE_DRAWABLE 3
#define | XCB_DRI2_DESTROY_DRAWABLE 4
#define | XCB_DRI2_GET_BUFFERS 5
#define | XCB_DRI2_COPY_REGION 6
#define | XCB_DRI2_GET_BUFFERS_WITH_FORMAT 7
#define | XCB_DRI2_SWAP_BUFFERS 8
#define | XCB_DRI2_GET_MSC 9
#define | XCB_DRI2_WAIT_MSC 10
#define | XCB_DRI2_WAIT_SBC 11
#define | XCB_DRI2_SWAP_INTERVAL 12
#define | XCB_DRI2_GET_PARAM 13
#define | XCB_DRI2_BUFFER_SWAP_COMPLETE 0
#define | XCB_DRI2_INVALIDATE_BUFFERS 1

## Typedefs
typedef enum xcb_dri2_attachment_t | xcb_dri2_attachment_t
typedef enum xcb_dri2_driver_type_t | xcb_dri2_driver_type_t
typedef enum xcb_dri2_event_type_t | xcb_dri2_event_type_t
typedef struct xcb_dri2_dri2_buffer_t | xcb_dri2_dri2_buffer_t
| xcb_dri2_dri2_buffer_t
typedef struct xcb_dri2_dri2_buffer_iterator_t | xcb_dri2_dri2_buffer_iterator_t
| xcb_dri2_dri2_buffer_iterator_t
typedef struct xcb_dri2_attach_format_t | xcb_dri2_attach_format_t
| xcb_dri2_attach_format_t
typedef struct xcb_dri2_attach_format_iterator_t | xcb_dri2_attach_format_iterator_t
| xcb_dri2_attach_format_iterator_t
typedef struct xcb_dri2_query_version_cookie_t | xcb_dri2_query_version_cookie_t
| xcb_dri2_query_version_cookie_t
typedef struct xcb_dri2_query_version_request_t | xcb_dri2_query_version_request_t
| xcb_dri2_query_version_request_t
typedef struct xcb_dri2_query_version_reply_t | xcb_dri2_query_version_reply_t
| xcb_dri2_query_version_reply_t
typedef struct xcb_dri2_connect_cookie_t | xcb_dri2_connect_cookie_t
| xcb_dri2_connect_cookie_t
typedef struct xcb_dri2_connect_request_t | xcb_dri2_connect_request_t
| xcb_dri2_connect_request_t
typedef struct xcb_dri2_connect_reply_t | xcb_dri2_connect_reply_t
| xcb_dri2_connect_reply_t
typedef struct xcb_dri2_authenticate_cookie_t | xcb_dri2_authenticate_cookie_t
| xcb_dri2_authenticate_cookie_t
typedef struct xcb_dri2_authenticate_request_t | xcb_dri2_authenticate_request_t
| xcb_dri2_authenticate_request_t
typedef struct xcb_dri2_authenticate_reply_t | xcb_dri2_authenticate_reply_t
| xcb_dri2_authenticate_reply_t
typedef struct xcb_dri2_create_drawable_request_t | xcb_dri2_create_drawable_request_t
| xcb_dri2_create_drawable_request_t
typedef struct xcb_dri2_destroy_drawable_request_t | xcb_dri2_destroy_drawable_request_t
| xcb_dri2_destroy_drawable_request_t
typedef struct xcb_dri2_get_buffers_cookie_t | xcb_dri2_get_buffers_cookie_t
| xcb_dri2_get_buffers_cookie_t
typedef struct xcb_dri2_get_buffers_request_t | xcb_dri2_get_buffers_request_t
| xcb_dri2_get_buffers_request_t
typedef struct xcb_dri2_get_buffers_reply_t | xcb_dri2_get_buffers_reply_t
| xcb_dri2_get_buffers_reply_t
typedef struct xcb_dri2_copy_region_cookie_t | xcb_dri2_copy_region_cookie_t
| xcb_dri2_copy_region_cookie_t
typedef struct xcb_dri2_copy_region_request_t | xcb_dri2_copy_region_request_t
| xcb_dri2_copy_region_request_t
typedef struct xcb_dri2_copy_region_reply_t | xcb_dri2_copy_region_reply_t
| xcb_dri2_copy_region_reply_t
typedef struct xcb_dri2_get_buffers_with_format_cookie_t | xcb_dri2_get_buffers_with_format_cookie_t
| xcb_dri2_get_buffers_with_format_cookie_t
typedef struct xcb_dri2_get_buffers_with_format_request_t | xcb_dri2_get_buffers_with_format_request_t
| xcb_dri2_get_buffers_with_format_request_t
typedef struct xcb_dri2_get_buffers_with_format_reply_t | xcb_dri2_get_buffers_with_format_reply_t
| xcb_dri2_get_buffers_with_format_reply_t
typedef struct xcb_dri2_swap_buffers_cookie_t | xcb_dri2_swap_buffers_cookie_t
| xcb_dri2_swap_buffers_cookie_t
typedef struct xcb_dri2_swap_buffers_request_t | xcb_dri2_swap_buffers_request_t
| xcb_dri2_swap_buffers_request_t
typedef struct xcb_dri2_swap_buffers_reply_t | xcb_dri2_swap_buffers_reply_t
| xcb_dri2_swap_buffers_reply_t
typedef struct xcb_dri2_get_msc_cookie_t | xcb_dri2_get_msc_cookie_t
| xcb_dri2_get_msc_cookie_t
typedef struct xcb_dri2_get_msc_request_t | xcb_dri2_get_msc_request_t
| xcb_dri2_get_msc_request_t
typedef struct xcb_dri2_get_msc_reply_t | xcb_dri2_get_msc_reply_t
| xcb_dri2_get_msc_reply_t
typedef struct xcb_dri2_wait_msc_cookie_t | xcb_dri2_wait_msc_cookie_t
| xcb_dri2_wait_msc_cookie_t
typedef struct xcb_dri2_wait_msc_request_t | xcb_dri2_wait_msc_request_t
| xcb_dri2_wait_msc_request_t
typedef struct xcb_dri2_wait_msc_reply_t | xcb_dri2_wait_msc_reply_t
| xcb_dri2_wait_msc_reply_t
typedef struct xcb_dri2_wait_sbc_cookie_t | xcb_dri2_wait_sbc_cookie_t
| xcb_dri2_wait_sbc_cookie_t
typedef struct xcb_dri2_wait_sbc_request_t | xcb_dri2_wait_sbc_request_t
| xcb_dri2_wait_sbc_request_t
typedef struct xcb_dri2_wait_sbc_reply_t | xcb_dri2_wait_sbc_reply_t
| xcb_dri2_wait_sbc_reply_t
typedef struct xcb_dri2_swap_interval_request_t | xcb_dri2_swap_interval_request_t
| xcb_dri2_swap_interval_request_t
typedef struct xcb_dri2_get_param_cookie_t | xcb_dri2_get_param_cookie_t
| xcb_dri2_get_param_cookie_t
typedef struct xcb_dri2_get_param_request_t | xcb_dri2_get_param_request_t
| xcb_dri2_get_param_request_t
typedef struct xcb_dri2_get_param_reply_t | xcb_dri2_get_param_reply_t
| xcb_dri2_get_param_reply_t
typedef struct xcb_dri2_buffer_swap_complete_event_t | xcb_dri2_buffer_swap_complete_event_t
| xcb_dri2_buffer_swap_complete_event_t
typedef struct xcb_dri2_invalidate_buffers_event_t | xcb_dri2_invalidate_buffers_event_t
| xcb_dri2_invalidate_buffers_event_t

## Enumerations
enum | xcb_dri2_attachment_t { XCB_DRI2_ATTACHMENT_BUFFER_FRONT_LEFT = 0 , XCB_DRI2_ATTACHMENT_BUFFER_BACK_LEFT = 1 , XCB_DRI2_ATTACHMENT_BUFFER_FRONT_RIGHT = 2 , XCB_DRI2_ATTACHMENT_BUFFER_BACK_RIGHT = 3 , XCB_DRI2_ATTACHMENT_BUFFER_DEPTH = 4 , XCB_DRI2_ATTACHMENT_BUFFER_STENCIL = 5 , XCB_DRI2_ATTACHMENT_BUFFER_ACCUM = 6 , XCB_DRI2_ATTACHMENT_BUFFER_FAKE_FRONT_LEFT = 7 , XCB_DRI2_ATTACHMENT_BUFFER_FAKE_FRONT_RIGHT = 8 , XCB_DRI2_ATTACHMENT_BUFFER_DEPTH_STENCIL = 9 , XCB_DRI2_ATTACHMENT_BUFFER_HIZ = 10 }
enum | xcb_dri2_driver_type_t { XCB_DRI2_DRIVER_TYPE_DRI = 0 , XCB_DRI2_DRIVER_TYPE_VDPAU = 1 }
enum | xcb_dri2_event_type_t { XCB_DRI2_EVENT_TYPE_EXCHANGE_COMPLETE = 1 , XCB_DRI2_EVENT_TYPE_BLIT_COMPLETE = 2 , XCB_DRI2_EVENT_TYPE_FLIP_COMPLETE = 3 }

## Functions
void | xcb_dri2_dri2_buffer_next (xcb_dri2_dri2_buffer_iterator_t *i)
xcb_generic_iterator_t | xcb_dri2_dri2_buffer_end (xcb_dri2_dri2_buffer_iterator_t i)
void | xcb_dri2_attach_format_next (xcb_dri2_attach_format_iterator_t *i)
xcb_generic_iterator_t | xcb_dri2_attach_format_end (xcb_dri2_attach_format_iterator_t i)
xcb_dri2_query_version_cookie_t | xcb_dri2_query_version (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_dri2_query_version_cookie_t | xcb_dri2_query_version_unchecked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_dri2_query_version_reply_t * | xcb_dri2_query_version_reply (xcb_connection_t *c, xcb_dri2_query_version_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_dri2_connect_sizeof (const void *_buffer)
xcb_dri2_connect_cookie_t | xcb_dri2_connect (xcb_connection_t *c, xcb_window_t window, uint32_t driver_type)
xcb_dri2_connect_cookie_t | xcb_dri2_connect_unchecked (xcb_connection_t *c, xcb_window_t window, uint32_t driver_type)
char * | xcb_dri2_connect_driver_name (const xcb_dri2_connect_reply_t *R)
int | xcb_dri2_connect_driver_name_length (const xcb_dri2_connect_reply_t *R)
xcb_generic_iterator_t | xcb_dri2_connect_driver_name_end (const xcb_dri2_connect_reply_t *R)
void * | xcb_dri2_connect_alignment_pad (const xcb_dri2_connect_reply_t *R)
int | xcb_dri2_connect_alignment_pad_length (const xcb_dri2_connect_reply_t *R)
xcb_generic_iterator_t | xcb_dri2_connect_alignment_pad_end (const xcb_dri2_connect_reply_t *R)
char * | xcb_dri2_connect_device_name (const xcb_dri2_connect_reply_t *R)
int | xcb_dri2_connect_device_name_length (const xcb_dri2_connect_reply_t *R)
xcb_generic_iterator_t | xcb_dri2_connect_device_name_end (const xcb_dri2_connect_reply_t *R)
xcb_dri2_connect_reply_t * | xcb_dri2_connect_reply (xcb_connection_t *c, xcb_dri2_connect_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri2_authenticate_cookie_t | xcb_dri2_authenticate (xcb_connection_t *c, xcb_window_t window, uint32_t magic)
xcb_dri2_authenticate_cookie_t | xcb_dri2_authenticate_unchecked (xcb_connection_t *c, xcb_window_t window, uint32_t magic)
xcb_dri2_authenticate_reply_t * | xcb_dri2_authenticate_reply (xcb_connection_t *c, xcb_dri2_authenticate_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_dri2_create_drawable_checked (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_dri2_create_drawable (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_dri2_destroy_drawable_checked (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_dri2_destroy_drawable (xcb_connection_t *c, xcb_drawable_t drawable)
int | xcb_dri2_get_buffers_sizeof (const void *_buffer, uint32_t attachments_len)
xcb_dri2_get_buffers_cookie_t | xcb_dri2_get_buffers (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t count, uint32_t attachments_len, const uint32_t *attachments)
xcb_dri2_get_buffers_cookie_t | xcb_dri2_get_buffers_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t count, uint32_t attachments_len, const uint32_t *attachments)
xcb_dri2_dri2_buffer_t * | xcb_dri2_get_buffers_buffers (const xcb_dri2_get_buffers_reply_t *R)
int | xcb_dri2_get_buffers_buffers_length (const xcb_dri2_get_buffers_reply_t *R)
xcb_dri2_dri2_buffer_iterator_t | xcb_dri2_get_buffers_buffers_iterator (const xcb_dri2_get_buffers_reply_t *R)
xcb_dri2_get_buffers_reply_t * | xcb_dri2_get_buffers_reply (xcb_connection_t *c, xcb_dri2_get_buffers_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri2_copy_region_cookie_t | xcb_dri2_copy_region (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t region, uint32_t dest, uint32_t src)
xcb_dri2_copy_region_cookie_t | xcb_dri2_copy_region_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t region, uint32_t dest, uint32_t src)
xcb_dri2_copy_region_reply_t * | xcb_dri2_copy_region_reply (xcb_connection_t *c, xcb_dri2_copy_region_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_dri2_get_buffers_with_format_sizeof (const void *_buffer, uint32_t attachments_len)
xcb_dri2_get_buffers_with_format_cookie_t | xcb_dri2_get_buffers_with_format (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t count, uint32_t attachments_len, const xcb_dri2_attach_format_t *attachments)
xcb_dri2_get_buffers_with_format_cookie_t | xcb_dri2_get_buffers_with_format_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t count, uint32_t attachments_len, const xcb_dri2_attach_format_t *attachments)
xcb_dri2_dri2_buffer_t * | xcb_dri2_get_buffers_with_format_buffers (const xcb_dri2_get_buffers_with_format_reply_t *R)
int | xcb_dri2_get_buffers_with_format_buffers_length (const xcb_dri2_get_buffers_with_format_reply_t *R)
xcb_dri2_dri2_buffer_iterator_t | xcb_dri2_get_buffers_with_format_buffers_iterator (const xcb_dri2_get_buffers_with_format_reply_t *R)
xcb_dri2_get_buffers_with_format_reply_t * | xcb_dri2_get_buffers_with_format_reply (xcb_connection_t *c, xcb_dri2_get_buffers_with_format_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri2_swap_buffers_cookie_t | xcb_dri2_swap_buffers (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t target_msc_hi, uint32_t target_msc_lo, uint32_t divisor_hi, uint32_t divisor_lo, uint32_t remainder_hi, uint32_t remainder_lo)
xcb_dri2_swap_buffers_cookie_t | xcb_dri2_swap_buffers_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t target_msc_hi, uint32_t target_msc_lo, uint32_t divisor_hi, uint32_t divisor_lo, uint32_t remainder_hi, uint32_t remainder_lo)
xcb_dri2_swap_buffers_reply_t * | xcb_dri2_swap_buffers_reply (xcb_connection_t *c, xcb_dri2_swap_buffers_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri2_get_msc_cookie_t | xcb_dri2_get_msc (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_dri2_get_msc_cookie_t | xcb_dri2_get_msc_unchecked (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_dri2_get_msc_reply_t * | xcb_dri2_get_msc_reply (xcb_connection_t *c, xcb_dri2_get_msc_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri2_wait_msc_cookie_t | xcb_dri2_wait_msc (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t target_msc_hi, uint32_t target_msc_lo, uint32_t divisor_hi, uint32_t divisor_lo, uint32_t remainder_hi, uint32_t remainder_lo)
xcb_dri2_wait_msc_cookie_t | xcb_dri2_wait_msc_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t target_msc_hi, uint32_t target_msc_lo, uint32_t divisor_hi, uint32_t divisor_lo, uint32_t remainder_hi, uint32_t remainder_lo)
xcb_dri2_wait_msc_reply_t * | xcb_dri2_wait_msc_reply (xcb_connection_t *c, xcb_dri2_wait_msc_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri2_wait_sbc_cookie_t | xcb_dri2_wait_sbc (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t target_sbc_hi, uint32_t target_sbc_lo)
xcb_dri2_wait_sbc_cookie_t | xcb_dri2_wait_sbc_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t target_sbc_hi, uint32_t target_sbc_lo)
xcb_dri2_wait_sbc_reply_t * | xcb_dri2_wait_sbc_reply (xcb_connection_t *c, xcb_dri2_wait_sbc_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_dri2_swap_interval_checked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t interval)
xcb_void_cookie_t | xcb_dri2_swap_interval (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t interval)
xcb_dri2_get_param_cookie_t | xcb_dri2_get_param (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t param)
xcb_dri2_get_param_cookie_t | xcb_dri2_get_param_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t param)
xcb_dri2_get_param_reply_t * | xcb_dri2_get_param_reply (xcb_connection_t *c, xcb_dri2_get_param_cookie_t cookie, xcb_generic_error_t **e)

## Variables
xcb_extension_t | xcb_dri2_id

## Detailed Description

DRI2 XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_DRI2_AUTHENTICATE

#define XCB_DRI2_AUTHENTICATE 2

Opcode for xcb_dri2_authenticate.

## ◆ XCB_DRI2_BUFFER_SWAP_COMPLETE

#define XCB_DRI2_BUFFER_SWAP_COMPLETE 0

Opcode for xcb_dri2_buffer_swap_complete.

## ◆ XCB_DRI2_CONNECT

#define XCB_DRI2_CONNECT 1

Opcode for xcb_dri2_connect.

## ◆ XCB_DRI2_COPY_REGION

#define XCB_DRI2_COPY_REGION 6

Opcode for xcb_dri2_copy_region.

## ◆ XCB_DRI2_CREATE_DRAWABLE

#define XCB_DRI2_CREATE_DRAWABLE 3

Opcode for xcb_dri2_create_drawable.

## ◆ XCB_DRI2_DESTROY_DRAWABLE

#define XCB_DRI2_DESTROY_DRAWABLE 4

Opcode for xcb_dri2_destroy_drawable.

## ◆ XCB_DRI2_GET_BUFFERS

#define XCB_DRI2_GET_BUFFERS 5

Opcode for xcb_dri2_get_buffers.

## ◆ XCB_DRI2_GET_BUFFERS_WITH_FORMAT

#define XCB_DRI2_GET_BUFFERS_WITH_FORMAT 7

Opcode for xcb_dri2_get_buffers_with_format.

## ◆ XCB_DRI2_GET_MSC

#define XCB_DRI2_GET_MSC 9

Opcode for xcb_dri2_get_msc.

## ◆ XCB_DRI2_GET_PARAM

#define XCB_DRI2_GET_PARAM 13

Opcode for xcb_dri2_get_param.

## ◆ XCB_DRI2_INVALIDATE_BUFFERS

#define XCB_DRI2_INVALIDATE_BUFFERS 1

Opcode for xcb_dri2_invalidate_buffers.

## ◆ XCB_DRI2_QUERY_VERSION

#define XCB_DRI2_QUERY_VERSION 0

Opcode for xcb_dri2_query_version.

## ◆ XCB_DRI2_SWAP_BUFFERS

#define XCB_DRI2_SWAP_BUFFERS 8

Opcode for xcb_dri2_swap_buffers.

## ◆ XCB_DRI2_SWAP_INTERVAL

#define XCB_DRI2_SWAP_INTERVAL 12

Opcode for xcb_dri2_swap_interval.

## ◆ XCB_DRI2_WAIT_MSC

#define XCB_DRI2_WAIT_MSC 10

Opcode for xcb_dri2_wait_msc.

## ◆ XCB_DRI2_WAIT_SBC

#define XCB_DRI2_WAIT_SBC 11

Opcode for xcb_dri2_wait_sbc.

## Function Documentation

## ◆ xcb_dri2_attach_format_end()

xcb_generic_iterator_t xcb_dri2_attach_format_end | ( | xcb_dri2_attach_format_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_dri2_attach_format_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_dri2_attach_format_next()

void xcb_dri2_attach_format_next | ( | xcb_dri2_attach_format_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_dri2_attach_format_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_dri2_attach_format_t)

## ◆ xcb_dri2_authenticate()

xcb_dri2_authenticate_cookie_t xcb_dri2_authenticate | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | magic
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_AUTHENTICATE.

## ◆ xcb_dri2_authenticate_reply()

xcb_dri2_authenticate_reply_t * xcb_dri2_authenticate_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_authenticate_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_authenticate_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_authenticate_unchecked()

xcb_dri2_authenticate_cookie_t xcb_dri2_authenticate_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | magic
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_AUTHENTICATE.

## ◆ xcb_dri2_connect()

xcb_dri2_connect_cookie_t xcb_dri2_connect | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | driver_type
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_CONNECT.

## ◆ xcb_dri2_connect_reply()

xcb_dri2_connect_reply_t * xcb_dri2_connect_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_connect_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_connect_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_connect_unchecked()

xcb_dri2_connect_cookie_t xcb_dri2_connect_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | driver_type
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_CONNECT.

## ◆ xcb_dri2_copy_region()

xcb_dri2_copy_region_cookie_t xcb_dri2_copy_region | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | region,
|  | uint32_t | dest,
|  | uint32_t | src
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_COPY_REGION.

## ◆ xcb_dri2_copy_region_reply()

xcb_dri2_copy_region_reply_t * xcb_dri2_copy_region_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_copy_region_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_copy_region_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_copy_region_unchecked()

xcb_dri2_copy_region_cookie_t xcb_dri2_copy_region_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | region,
|  | uint32_t | dest,
|  | uint32_t | src
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_COPY_REGION.

## ◆ xcb_dri2_create_drawable()

xcb_void_cookie_t xcb_dri2_create_drawable | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_CREATE_DRAWABLE.

## ◆ xcb_dri2_create_drawable_checked()

xcb_void_cookie_t xcb_dri2_create_drawable_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI2_CREATE_DRAWABLE.

## ◆ xcb_dri2_destroy_drawable()

xcb_void_cookie_t xcb_dri2_destroy_drawable | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_DESTROY_DRAWABLE.

## ◆ xcb_dri2_destroy_drawable_checked()

xcb_void_cookie_t xcb_dri2_destroy_drawable_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI2_DESTROY_DRAWABLE.

## ◆ xcb_dri2_dri2_buffer_end()

xcb_generic_iterator_t xcb_dri2_dri2_buffer_end | ( | xcb_dri2_dri2_buffer_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_dri2_dri2_buffer_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_dri2_dri2_buffer_next()

void xcb_dri2_dri2_buffer_next | ( | xcb_dri2_dri2_buffer_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_dri2_dri2_buffer_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_dri2_dri2_buffer_t)

## ◆ xcb_dri2_get_buffers()

xcb_dri2_get_buffers_cookie_t xcb_dri2_get_buffers | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | count,
|  | uint32_t | attachments_len,
|  | const uint32_t * | attachments
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_GET_BUFFERS.

## ◆ xcb_dri2_get_buffers_reply()

xcb_dri2_get_buffers_reply_t * xcb_dri2_get_buffers_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_get_buffers_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_get_buffers_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_get_buffers_unchecked()

xcb_dri2_get_buffers_cookie_t xcb_dri2_get_buffers_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | count,
|  | uint32_t | attachments_len,
|  | const uint32_t * | attachments
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_GET_BUFFERS.

## ◆ xcb_dri2_get_buffers_with_format()

xcb_dri2_get_buffers_with_format_cookie_t xcb_dri2_get_buffers_with_format | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | count,
|  | uint32_t | attachments_len,
|  | const xcb_dri2_attach_format_t * | attachments
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_GET_BUFFERS_WITH_FORMAT.

## ◆ xcb_dri2_get_buffers_with_format_reply()

xcb_dri2_get_buffers_with_format_reply_t * xcb_dri2_get_buffers_with_format_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_get_buffers_with_format_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_get_buffers_with_format_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_get_buffers_with_format_unchecked()

xcb_dri2_get_buffers_with_format_cookie_t xcb_dri2_get_buffers_with_format_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | count,
|  | uint32_t | attachments_len,
|  | const xcb_dri2_attach_format_t * | attachments
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_GET_BUFFERS_WITH_FORMAT.

## ◆ xcb_dri2_get_msc()

xcb_dri2_get_msc_cookie_t xcb_dri2_get_msc | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_GET_MSC.

## ◆ xcb_dri2_get_msc_reply()

xcb_dri2_get_msc_reply_t * xcb_dri2_get_msc_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_get_msc_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_get_msc_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_get_msc_unchecked()

xcb_dri2_get_msc_cookie_t xcb_dri2_get_msc_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_GET_MSC.

## ◆ xcb_dri2_get_param()

xcb_dri2_get_param_cookie_t xcb_dri2_get_param | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | param
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_GET_PARAM.

## ◆ xcb_dri2_get_param_reply()

xcb_dri2_get_param_reply_t * xcb_dri2_get_param_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_get_param_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_get_param_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_get_param_unchecked()

xcb_dri2_get_param_cookie_t xcb_dri2_get_param_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | param
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_GET_PARAM.

## ◆ xcb_dri2_query_version()

xcb_dri2_query_version_cookie_t xcb_dri2_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_QUERY_VERSION.

## ◆ xcb_dri2_query_version_reply()

xcb_dri2_query_version_reply_t * xcb_dri2_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_query_version_unchecked()

xcb_dri2_query_version_cookie_t xcb_dri2_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_QUERY_VERSION.

## ◆ xcb_dri2_swap_buffers()

xcb_dri2_swap_buffers_cookie_t xcb_dri2_swap_buffers | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | target_msc_hi,
|  | uint32_t | target_msc_lo,
|  | uint32_t | divisor_hi,
|  | uint32_t | divisor_lo,
|  | uint32_t | remainder_hi,
|  | uint32_t | remainder_lo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_SWAP_BUFFERS.

## ◆ xcb_dri2_swap_buffers_reply()

xcb_dri2_swap_buffers_reply_t * xcb_dri2_swap_buffers_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_swap_buffers_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_swap_buffers_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_swap_buffers_unchecked()

xcb_dri2_swap_buffers_cookie_t xcb_dri2_swap_buffers_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | target_msc_hi,
|  | uint32_t | target_msc_lo,
|  | uint32_t | divisor_hi,
|  | uint32_t | divisor_lo,
|  | uint32_t | remainder_hi,
|  | uint32_t | remainder_lo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_SWAP_BUFFERS.

## ◆ xcb_dri2_swap_interval()

xcb_void_cookie_t xcb_dri2_swap_interval | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | interval
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_SWAP_INTERVAL.

## ◆ xcb_dri2_swap_interval_checked()

xcb_void_cookie_t xcb_dri2_swap_interval_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | interval
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI2_SWAP_INTERVAL.

## ◆ xcb_dri2_wait_msc()

xcb_dri2_wait_msc_cookie_t xcb_dri2_wait_msc | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | target_msc_hi,
|  | uint32_t | target_msc_lo,
|  | uint32_t | divisor_hi,
|  | uint32_t | divisor_lo,
|  | uint32_t | remainder_hi,
|  | uint32_t | remainder_lo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_WAIT_MSC.

## ◆ xcb_dri2_wait_msc_reply()

xcb_dri2_wait_msc_reply_t * xcb_dri2_wait_msc_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_wait_msc_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_wait_msc_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_wait_msc_unchecked()

xcb_dri2_wait_msc_cookie_t xcb_dri2_wait_msc_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | target_msc_hi,
|  | uint32_t | target_msc_lo,
|  | uint32_t | divisor_hi,
|  | uint32_t | divisor_lo,
|  | uint32_t | remainder_hi,
|  | uint32_t | remainder_lo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_WAIT_MSC.

## ◆ xcb_dri2_wait_sbc()

xcb_dri2_wait_sbc_cookie_t xcb_dri2_wait_sbc | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | target_sbc_hi,
|  | uint32_t | target_sbc_lo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI2_WAIT_SBC.

## ◆ xcb_dri2_wait_sbc_reply()

xcb_dri2_wait_sbc_reply_t * xcb_dri2_wait_sbc_reply | ( | xcb_connection_t * | c,
|  | xcb_dri2_wait_sbc_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri2_wait_sbc_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri2_wait_sbc_unchecked()

xcb_dri2_wait_sbc_cookie_t xcb_dri2_wait_sbc_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | target_sbc_hi,
|  | uint32_t | target_sbc_lo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI2_WAIT_SBC.